#import <Foundation/Foundation.h>
#import "ICLinkExtractor.h"
#import "ICScheduler.h"
#import "ICCrawler.h"

int main (int argc, const char * argv[]) {
    NSAutoreleasePool * pool = [[NSAutoreleasePool alloc] init];

	
	NSString *url= @"http://www.bbc.co.uk"; 
	ICScheduler *sch=[[ICScheduler alloc] init];
	[sch addWebsiteURL:url]; // add this link to the website queue
	
	ICLinkExtractorWithPolicies *lewp=[[ICLinkExtractorWithPolicies alloc]init];
	
	
	NSLog(@"%@",[lewp extractWithPolicies:@"http://news.bbc.co.uk/sport"]);
	
	
	[sch release];
	[pool drain];
    return 0;
}

