//
//  sch.h
//  scheduler
//
//  Created by sa on 11/3/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface ICScheduler : NSObject {

	NSMutableArray *webSiteQueue;
	NSMutableArray *webPageQueue;
	int siteCounter;
	int linkCounter;

}
@property (assign) NSMutableArray *webSiteQueue, *webPageQueue;


-(void) addWebsiteURL: (NSString *) url;
-(void) addURL: (NSString *) link;
-(void) addURLs: (NSArray *) links;
-(NSMutableArray*) returnURLsFromPath: (NSString *)path;
-(void) addURLsFromPath: (NSString *)path;
-(NSArray*) returnURLsFromFile: (NSString *)path;
-(void) addURLsFromFile: (NSString *)path;
-(NSMutableArray*)returnWebpageQueue;
-(NSString*) currentWebsite;
-(id) nextRequest;



@end
